Ir al contenido

Detalle del evento

Obtiene un evento por id (evt_…). Misma forma que el body del webhook. Payloads de cada tipo: guía Webhooks → Cómo funcionan.

GEThttps://api.kuti.pe/v1/events/{id}

Path

id
stringrequerido
Id del evento.Ej: evt_01J8Z3K4M5N6P7Q8R9S0T1U2V3

Language

Credentials

Header

Authorization

Secret key de developer · ejemplos con librerías estándar (aún sin SDK)

cURL Request
curl -s 'https://api.kuti.pe/v1/events/evt_01J8Z3K4M5N6P7Q8R9S0T1U2V3' \
  -H 'Authorization: Bearer kuti_live_…'
Librería estándar · sin SDK propio
Response

Elige un ejemplo de respuesta:

application/json
200OK
{
  "success": true,
  "data": {
    "id": "evt_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "type": "payment.succeeded",
    "merchant_id": "mer_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "created_at": "2026-09-04T10:48:59.556906Z",
    "data": {
      "payment_intent": {
        "id": "pi_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
        "merchant_id": "mer_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
        "amount": {
          "amount": "50.00",
          "currency": "PEN"
        },
        "status": "SUCCEEDED",
        "description": "Pedido #1042",
        "customer": {
          "id": "cus_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
          "type": "INDIVIDUAL",
          "first_name": "María",
          "last_name": "López",
          "name": "María López",
          "document_type": "DNI",
          "document_value": "45678912",
          "email": "maria@example.com"
        }
      }
    }
  }
}